package com.kcim.service;

import com.kcim.dao.model.Sql;

import java.util.List;
import java.util.Map;

/**
 * @program: CostAccount
 * @description:
 * @author: Wang.YS
 * @create: 2024-03-18 16:17
 **/
public interface SqlService {
    Object getSqlType();

    Object getSql(String sqlType, String sqlDefinition);

    void addSql(Sql sql);

    void editSql(Sql sql);

    void deleteSql(Integer id);

    void sortSql(List<Sql> sql);

    List<Sql> getSqlBySqlType(String sqlType);

    void autoExecuteSql(String sqlType, Map<String,String> parameter) ;



}
